"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var angular_1 = require("@ui-model/angular");
var common_1 = require("@ui-model/common");
var TooltipComponent = (function () {
    function TooltipComponent(tooltip) {
        this.tooltip = tooltip;
        this.rect = new common_1.Rect();
    }
    TooltipComponent.prototype.resize = function ($event) {
        this.rect = this.tooltip.getRectFor($event.boundingClientRect);
    };
    TooltipComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ui-tooltip',
                    templateUrl: './tooltip.component.html',
                    styleUrls: ['./tooltip.component.scss'],
                },] },
    ];
    /** @nocollapse */
    TooltipComponent.ctorParameters = function () { return [
        { type: angular_1.TooltipService, },
    ]; };
    return TooltipComponent;
}());
exports.TooltipComponent = TooltipComponent;
//# sourceMappingURL=tooltip.component.js.map